---
title: "Get freeform invites"
url: "https://docs.signnow.com/docs/doc-group-freeform-invite/operations/get-v2-document-groups-document_group_id-free-form-invites-dg_freeform_invite_id-documents"
type: "endpoint"
section: "doc-group-freeform-invite"
slug: "doc-group-freeform-invite/operations/get-v2-document-groups-document_group_id-free-form-invites-dg_freeform_invite_id-documents"
method: "GET"
path: "/v2/document-groups/{document_group_id}/free-form-invites/{dg_freeform_invite_id}/documents"
operation_id: "get-v2-document-groups-document_group_id-free-form-invites-dg_freeform_invite_id-documents"
authorization: "bearer"
---

# Get freeform invites

`GET /v2/document-groups/{document_group_id}/free-form-invites/{dg_freeform_invite_id}/documents`

Retrieve the document group FreeForm invites for the current user.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |
| `dg_freeform_invite_id` | string | Yes | ID of the document group FreeForm invite. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `per_page` | string | No | How many search items to view per page. Allowed values: positive integers from 1 to 100. |
| `page` | string | No | How many pages to fit the results in. Allowed values: any positive integer starting from 1. |

## Responses

### 200

Success

**Example** (`Success`)

```json
{
  "data": [
    {
      "id": "2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "document name",
      "invite": {
        "id": "2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "status": "pending"
      }
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": {
        "next": "http://example.com/v2/document-groups/2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/free-form-invites/2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/documents?per_page=1&page=3",
        "previous": "http://example.com/v2/document-groups/2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/free-form-invites/2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/documents?per_page=1&page=1"
      },
      "total": 3,
      "per_page": 1,
      "total_pages": 3,
      "current_page": 2
    }
  }
}
```

### 400

Current user does not have free form invites on this document group

**Example** (`No free form invites with this doc group`)

```json
{
  "errors": [
    {
      "code": 19001053,
      "message": "Document group free form invites not exist."
    }
  ]
}
```

### 404

* Document group free form invite not found
* Document group not found

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 19002010,
      "message": "Document group '2aXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX' not found."
    }
  ]
}
```

**Example** (`Document group free form invite not found`)

```json
{
  "errors": [
    {
      "code": 19002015,
      "message": "Document group free form invite `d9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/free-form-invites/{dg_freeform_invite_id}/documents" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-freeform-invite/operations/get-v2-document-groups-document_group_id-free-form-invites-dg_freeform_invite_id-documents*
